const ONEZ_VUE_METHODS={
  update(){
  },
  link(e){
    onez.link(e,this);
  },
  post(postdata,callback){
    onez.post(Object.assign({
      $action:this.$root.action,
      $file:this.path,
      action:'data'
    },postdata),callback);
  },
  closest(tmpkey){
    tmpkey=tmpkey.replace(/[^0-9a-zA-Z\-\_]/g,'-');
    var _vue=this;
    while(true){
      if(_vue.$el.className && _vue.$el.className.indexOf(tmpkey)!=-1){
        return _vue;
      }
      _vue=_vue.$parent;
      if(!_vue||_vue===this.$root){
        break;
      }
    }
    return _vue;
  },
  loadRes(arr,callback){
    onez.loadRes(this,arr,callback);
  }
};